Bug 147816 - Cannot connect due to "different MAC address" than expected
Cannot connect due to "different MAC address" than expected
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 12:05 EST by Rafa Quintanilla
Modified: 2014-03-16 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-20 13:26:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafa Quintanilla 2005-02-11 12:05:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
My wireless prism54 network card is inactive at boottime due to
"diffeent MAC address than expected". After solving it, it occurss
from time to time during my session.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I have a wireless prism54 card working OK with other distros in my
harddisk. However, in Fedora Core 3 (also happened in core 1 and 2) I
can't connect to the internet after booting (and connection breaks
sometimes due to the same problem).

After booting, I see my eth0 card is inactive, and I do this:

Applications --> System settings --> Network; the following message is
shown:

S'ignorar� el dispositiu eth0:1 perqu� t� una adre�a MAC diferent de
l'esperada.

(Translated from catalan: Device eth0:1 will be ignored as it has an
different MAC address than expected)

Then: 
Applications --> System settings --> Network --> Edit 
Harware device tab, Bind to MAC address (shows 00:04:e2:80:f1:60,
which is my real MAC address, it works with other distros in my
harddrive). If I click on probe, it shows 00:30:b4:00:00:00 (wrong MAC
address)
I click OK --> Activate -- it shows an error message

I click on edit tab again, then probe MAC address and it shows the
right address 00:04:e2:80:f1:60)

I save, and activate again --> It now works!

However, I lose connection from time to time, and I have to repeat all
the steps above.


Excuse me if the component is not "hotplug" byt I don't really know
what component this problem depends on.

Actual Results:  Works fine, but whe I reboot the same problem occurs.

Expected Results:  The network card should work normally (as it does
in my other distros)

Additional info:
Comment 1 Bill Nottingham 2005-02-11 15:36:30 EST
Please attach your /etc/sysconfig/network-scripts/ifcfg-* files.
Comment 2 Rafa Quintanilla 2005-02-11 18:14:56 EST
Here they are:

--------------------
#ifcfg-eth0

# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
IPV6INIT=no
ONBOOT=yes
USERCTL=yes
PEERDNS=yes
GATEWAY=192.168.2.1
TYPE=Wireless
DEVICE=eth0:1
HWADDR=00:04:e2:80:f1:60
BOOTPROTO=none
NETMASK=255.255.255.0
DHCP_HOSTNAME=
IPADDR=192.168.2.188
DOMAIN=
ESSID=SMC
CHANNEL=6
MODE=Managed
RATE=Auto

-----------------

#ifcfg-lo

DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback
---------------

Thanks for your help,

Rafa
Comment 3 Bill Nottingham 2005-02-11 18:25:31 EST
What happens if you change DEVICE=eth0:1 to DEVICE=eth0 in ifcfg-eth0?
Comment 4 Rafa Quintanilla 2005-02-12 10:26:53 EST
I changed it, but with no results. I still have to repeat all the
process to activate my network card. 

By the way, the error message I get after probing when I get the wrong
MAC address (00:30:b4:00:00:00) is:

Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device eth0 ; Input/output error.

Rafa Quintanilla
Comment 5 Bill Nottingham 2005-02-14 13:43:11 EST
What's the output of:

ip link set eth0 up ; ifconfig eth0

compared to:

ip link set eth0 down ; ifconfig eth0

?
Comment 6 Rafa Quintanilla 2005-02-14 13:58:21 EST
[root@fedora ~]# ip link set eth0 up ; ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:04:E2:80:F1:60
          inet addr:192.168.2.188  Bcast:192.168.2.255  Mask:255.255.255.0
          inet6 addr: fe80::204:e2ff:fe80:f160/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:186654 errors:0 dropped:0 overruns:0 frame:0
          TX packets:233507 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:76220340 (72.6 MiB)  TX bytes:234406941 (223.5 MiB)
          Interrupt:11

[root@fedora ~]# ip link set eth0 down ; ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:04:E2:80:F1:60
          inet addr:192.168.2.188  Bcast:192.168.2.255  Mask:255.255.255.0
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:186937 errors:0 dropped:0 overruns:0 frame:0
          TX packets:233857 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:76311465 (72.7 MiB)  TX bytes:234754139 (223.8 MiB)
          Interrupt:11
Comment 7 Matthew Miller 2006-07-10 18:27:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Bill Nottingham 2007-02-20 13:26:37 EST
Closing; FC3 is currently end of lifed.

Note You need to log in before you can comment on or make changes to this bug.